Bug 190032 - kdepim / korganizer not syncing properly recurring events
kdepim / korganizer not syncing properly recurring events
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-26 16:17 EDT by A. Folger
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5-update
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 08:42:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A. Folger 2006-04-26 16:17:33 EDT
Description of problem:
After my Palm was kind of unusable for 9 months (see
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=165089), just synced again,
and for good measure added some new appointments both on the Palm and on the
desktop, and while regular apppointments seem to sync (I am still checking that
out fully), the Palm does not seem to pick up recurring events from the desktop.
The desktop does get recurring appointments created on the palm, but not the
exceptions. I.e., when creating a recurring event that happens every week
between now and 2008, and then removing twenty occurences (on the Palm, select
the event, click details->remove and then click on current, to delete the
current event only), those removed occurences will still remain on the desktop,
as if they were never really removed.

Version-Release number of selected component (if applicable):
[user@dhcppc1 ~]$ rpm -q kdepim pilot-link
kdepim-3.5.2-0.1.fc5
pilot-link-0.11.8-12.4.fc5

How reproducible:
every time

Steps to Reproduce (1/2):
1. Enter recurring event on desktop
2. sync
  
Actual results:
Event does not appear on Palm.

Expected results:
Event does appear on Palm.

Steps to Reproduce (2/2):
1. Enter recurring event on Palm
2. sync [event will appear on desktop]
3. delete a few occurences of the event
4. sync
  
Actual results:
Event still appears on desktop, even on days when event was cancelled/removed.

Expected results:
Even on desktop, event only appears on all days for which it wasn't explicitly
deleted on Palm.

Additional info:
Comment 1 Ngo Than 2006-05-08 16:51:47 EDT
could you please try new kdepim-3.5.2-0.4.fc5 from fc5-update-testing?
it should be available in fc5-update-testing tomorrow. Thanks
Comment 2 A. Folger 2006-05-18 08:35:49 EDT
It seems to work well. Thanks and cheers to you and the entire team!

(Sorry for my late reply, I was abroad.)

Note You need to log in before you can comment on or make changes to this bug.